﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bucherei
{
    internal class Ausleihe : IFormatable
    {
        internal Nutzer Nutzer { get;}
        internal Medium Medium { get;}   
        internal Ausleihe (Medium Medium, Nutzer Nutzer)
        {
            this.Medium = Medium;
            this.Nutzer = Nutzer;
        }

        internal string Signatur { get { return Medium.Signatur; } }
        internal int Nutzernummer { get { return Nutzer.Nutzernummer; } }

        public string Format()
        {
            return String.Format($"{Signatur},{Nutzernummer}");
        }
    }
}
